Class List Method List File List

# Exception: Concurrent::Agent::Error

Inherits:
  StandardError
  - Object
  - StandardError
  - Concurrent::Agent::Error
  show all
Defined in:
  lib/concurrent/agent.rb

## Overview

Raised during action processing or any other time in an Agent's lifecycle.

## Direct Known Subclasses

ValidationError

## Instance Method Summary (collapse)

- - (Error) initialize(message = nil) constructor

  A new instance of Error.

## Constructor Details

### - (`Error`) initialize(message = nil)

Returns a new instance of Error

    167
    168
    169
    170

    # File 'lib/concurrent/agent.rb', line 167

    def initialize(message = nil)
      message ||= 'agent must be restarted before jobs can post'
      super(message)
    end